
const element = document.getElementById("bio");

const People = [
    {
        name: "Joyce Kwack",
        bio: "Hello! My name is Joyce Kwack, and I’m currently a senior and a co-president! I decided to join iGEM because it sounded like a good way to get ahead in the fields that I wanted to study later in life. It was also a way to work with people who had similar interests as I did, which is probably one of my favorite parts of iGEM. Other hobbies I have are playing the violin and reading. "
    },
    {
        name: "Peyton Slape",
        bio: "Hi, my name is Peyton and I’m a senior and the wiki lead at IGEM. I initially joined IGEM to help with the website, but I also find it interesting to learn about the science behind our projects. A lot of my friends were also in IGEM, so I figured that it would be a good opportunity to spend time with them. Outside of IGEM, I am also in the RBHS robotics team, Science Olympiad, and a STEM-based nonprofit."
    },
    {
        name: "Ryoka Imaizumi",
        bio: "Hello, my name is Ryoka Imaizumi. I’m a senior member of the club, and I’m taking part in the Wetlab and social media posts. What I like about the club is that I can get a lot of inspiration through the lab experiences. Other hobbies I enjoy are watching movies and baking. "
    },
    {
        name: "Ryan Canino",
        bio: "Hi, my name is Ryan Canino. I am Treasurer for iGEM, as well as part of the Human Practices aspect of iGEM. I joined iGEM initially since I wanted to understand more of the coding aspects, but was drawn to the money management and fundraising aspects of the club instead! Apart from iGEM, I enjoy playing volleyball, coding, and socializing!"
    },
    {
        name: "Simeon Kim",
        bio: "Hello! My name is Simeon Kim and I am currently one of the junior co-presidents and a part of the Math Modeling team. I joined iGEM because of the research opportunities it presented and the chance to grow in my skills on MatLab. Some of my friends were also part of the club, which has made it a lot more fun! Other than participating in iGEM, I’m either eating, sleeping, or dreaming."
    },
    {
        name: "Madhav Patel",
        bio: "Hi! I am Madhav Patel. I am a senior and part of the wet lab, human practices, and social media team. I joined iGEM because their previous year's projects got me interested and it is a good way to actively take part in research. Apart from iGEM, I am in the Science Olympiad team, badminton team, and Art for All. I also enjoy drawing and playing the piano."
    },
    {
        name: "Andy Ryou",
        bio: "Hi, I’m Andy Ryou. I am a junior and part of the wetlab and math modeling team. I joined iGEM since I saw it as a great opportunity for first-hand research to gain experience. Aside from this, I also enjoy watching movies and reading. "
    },
    {
        name: "Lauren Tangenberg",
        bio: "Hi! My name is Lauren Tangenberg and I am the iGEM club Secretary and wetlab team member. I am a senior this year, and I joined iGEM because I was thrilled about the opportunity for research and lab experience. My favorite class is AP Bio, and I hope to really make a difference in the world one day solving problems using biology. Outside of iGEM, I am captain of the high school varsity dance team, school ambassador, and member of the California Scholarship Federation. I also love cooking, baking, and crafting in my spare time. "
    },
    {
        name: "Yubin Cha",
        bio: "Hi! My name is Yubin Cha. I am part of the MATLAB team and an incoming senior. I joined iGem to help me learn more about the fields I might be working in, and I was curious to learn more about science. Another thing that made me consider joining iGem was that many of my friends were also in iGem and I was excited to share this common interest with them. Outside of iGem, I am the CSF Treasurer and some of my hobbies include tennis and reading."
    },
    {
        name: "Robert Morrison",
        bio: "Hello my name is Robert. I’m a senior and the lead of Math Modeling. I joined iGEM to work with MATLAB, get experience with Math Modeling, and because many of my friends were in iGEM. Outside of IGEM I am part of the RBHS Robotics Team, in Science Olympiad, do Tae Kwon Do and make amateur compositions on the piano."
    },
    {
        name: "Aadit Jain",
        bio: "Hi! I am Aadit Jain. I’m a senior and part of the MATLAB team. I joined iGEM to improve my modeling skills and see the integration of biology and math. Outside of iGEM, I’m president of the Math Club and Reverse-Engineering Club and Vice-President of the Preserve and Conserve Club."
    }
]

function getImage(name) {
    return "https://static.igem.wiki/teams/5135/images/team/" + name.split(' ')[0].toLowerCase() + ".jpg";
}

People.forEach((person) => {
    const div = document.createElement("div");
    div.id = person.name;
    div.className = "intext-div";
    div.innerHTML = `
        <img src=${getImage(person.name)}>
        <h2>${person.name}</h2>
        <p>${person.bio}</p>
    `;
    if(element) element.appendChild(div);
});